
Conversion Tools - Bug #3356

Code Analytics summary reports are not displayed on Windows

10/11/2017 10:24 PM - Eric Faulhaber

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Eric Faulhaber % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:    

billable: No case_num:  

vendor_id: GCD version:  

Description

History

#1 - 10/11/2017 11:18 PM - Eric Faulhaber

- Status changed from New to WIP

- File 3356a_20171011a.patch added

This was reported separately by two forum users. On Windows, the overview displays the listing of summary reports, but the only summary reports

that actually display when clicked in the overview list are the Project Structure reports.

The problem was that the file filter mechanism was not working correctly because we were not accounting properly for the Windows backslash file

separator in an SQL query. As a result, all files were being filtered out, leading to no records in summary reports.

Attached is a patch which fixes this issue. It is applied to task branch 3356a. It will be merged to the current development trunk shortly, but since the

date of the next public release is unknown, I recommend applying the patch directly to the FWD source code and rebuilding FWD.

#2 - 10/12/2017 12:29 AM - Eric Faulhaber

- Status changed from WIP to Closed

Task branch 3356a was merged to trunk, committed as revision 11177.

#3 - 10/12/2017 12:29 AM - Eric Faulhaber

- % Done changed from 0 to 100

Files

3356a_20171011a.patch 1.27 KB 10/12/2017 Eric Faulhaber
